Bug 246068 - [NEW PORT] deskutils/hs-arbtt: Automatic time tracker for X11 desktop
Summary: [NEW PORT] deskutils/hs-arbtt: Automatic time tracker for X11 desktop
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Santhosh Raju
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2020-04-30 22:40 UTC by Dhananjay Balan
Modified: 2020-05-17 11:47 UTC (History)
3 users (show)

See Also:


Attachments
svn diff for hs-arbtt package. (16.34 KB, patch)
2020-04-30 22:40 UTC, Dhananjay Balan
no flags Details | Diff
svn diff for hs-arbtt package (15.80 KB, patch)
2020-04-30 22:46 UTC, Dhananjay Balan
mail: maintainer-approval+
Details | Diff
svn diff for deskutils/hs-arbtt (16.18 KB, patch)
2020-05-09 16:04 UTC, Dhananjay Balan
no flags Details | Diff
svn diff for hs-arbtt (16.18 KB, patch)
2020-05-16 18:37 UTC, Dhananjay Balan
no flags Details | Diff
svn diff for hs-arbtt (16.18 KB, patch)
2020-05-16 18:48 UTC, Dhananjay Balan
no flags Details | Diff
deskutils/hs-arbtt: removes SKIP_CABAL_PLIST directive (981 bytes, patch)
2020-05-17 11:43 UTC, Dhananjay Balan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dhananjay Balan 2020-04-30 22:40:42 UTC
Created attachment 213964 [details]
svn diff for hs-arbtt package.

arbtt: The Automatic Rule-Based Time Tracker is a desktop daemon that runs in
the background and captures the running windows and the metadata. It also include utilities to analyze this data to track time spent on each and other statistics.

WWW: https://arbtt.nomeata.de/#what


QA:

1. portlint AC 
==============
(one false positive about "install" string in MANPAGES_DESCRIBE section)

2. poudriere testport 12.1 amd64
=================================
(Leftover error, afiu its also a false postive)

=>> Error: Files or directories left over:
@dir /prefix
=>> This test was done with PREFIX!=LOCALBASE which may show failures if the port does not respect PREFIX.

Thanks
Comment 1 Dhananjay Balan 2020-04-30 22:46:32 UTC
Created attachment 213965 [details]
svn diff for hs-arbtt package

Removes Readme.md file.
Comment 2 Vidar Karlsen 2020-05-06 09:32:31 UTC
It errors out with this message when I try to build it (attch id 213965), both using poudriere testport on 12.1 and regular port build on 13.0:

Warning: No remote package servers have been specified. Usually you would have                           
one specified in the config file.                                                                        
Resolving dependencies...                                                                                
cabal: Could not resolve dependencies:              
[__0] trying: X11-1.9 (user goal)                   
[__1] trying: base-4.13.0.0/installed-4.1... (dependency of X11)                                         
[__2] next goal: hashable (user goal)               
[__2] rejecting: hashable-1.2.7.0 (conflict: base==4.13.0.0/installed-4.1...,                            
hashable => base>=4.4 && <4.13)                                                                          
[__2] fail (backjumping, conflict set: base, hashable)                                                   
After searching the rest of the dependency tree exhaustively, these were the                             
goals I've had most trouble fulfilling: X11, base, hashable                                              
                                                                                                         
*** Error code 1          
                                                                                                         
Stop.                                                                                                    
make: stopped in /usr/ports/deskutils/hs-arbtt


Am I missing something?
Comment 3 Dhananjay Balan 2020-05-09 16:04:55 UTC
Created attachment 214314 [details]
svn diff for deskutils/hs-arbtt

Fixed for ghc-8.8
Comment 4 Dhananjay Balan 2020-05-09 16:06:42 UTC
The failure is because the version of base got updated when the ports ghc got bumped to 8.8.3. I have updated the diff with versions of dependencies that works.

Tested with poudriere testport in 12.1 and 11.3 Release jails.
Comment 5 Vidar Karlsen 2020-05-09 17:58:55 UTC
(In reply to Dhananjay Balan from comment #4)
Thanks, that works. I have it running on my 13.0 laptop now.
Comment 6 Dhananjay Balan 2020-05-16 18:37:00 UTC
Created attachment 214562 [details]
svn diff for hs-arbtt

Fixed with sed script location fixed, line width on pkg-message wrapped at 72.
Comment 7 Dhananjay Balan 2020-05-16 18:48:54 UTC
Created attachment 214564 [details]
svn diff for hs-arbtt

Wrong file was uploaded (214562).

- Fixes line wrapping for pkg-message
- prefixes for build deps
Comment 8 commit-hook freebsd_committer 2020-05-17 05:30:20 UTC
A commit references this bug:

Author: fox
Date: Sun May 17 05:29:23 UTC 2020
New revision: 535514
URL: https://svnweb.freebsd.org/changeset/ports/535514

Log:
  deskutils/hs-arbtt: Creates new port.

  The Automatic Rule-Based Time Tracker is a desktop daemon that runs in
  the background and, every minute, records what windows are open on
  your desktop, what their titles are, which one is active. The
  accompanied statistics program lets you derive information from this
  log file, i.e. what how much of your time have you been spending with
  e-mail, or what projects are your largest time wasters. The mapping
  from the raw window titles to sensible "tags" is done by a
  configuration file with an powerful syntax.

  WWW: https://arbtt.nomeata.de/

  PR:		246068
  Submitted by:	Dhananjay Balan <mail@dbalan.in>
  Reviewed by:	philip

Changes:
  head/deskutils/Makefile
  head/deskutils/hs-arbtt/
  head/deskutils/hs-arbtt/Makefile
  head/deskutils/hs-arbtt/distinfo
  head/deskutils/hs-arbtt/files/
  head/deskutils/hs-arbtt/files/pkg-message.in
  head/deskutils/hs-arbtt/pkg-descr
  head/deskutils/hs-arbtt/pkg-plist
Comment 9 Santhosh Raju freebsd_committer 2020-05-17 05:31:57 UTC
Committed, Thank you.
Comment 10 Gleb Popov freebsd_committer 2020-05-17 07:44:42 UTC
Committed port contains duplicated post-install-MANPAGES-on: target. Also, there is no SKIP_CABAL_PLIST knob exists.

It is a good idea to CC haskell@ next time when comitting/updating Haskell ports.
Comment 11 Santhosh Raju freebsd_committer 2020-05-17 08:49:46 UTC
(In reply to Gleb Popov from comment #10)
Thank you for the feedback, I shall ask contact the author and try to get a patch for the requested changes.
Comment 12 Dhananjay Balan 2020-05-17 09:00:39 UTC
(In reply to Gleb Popov from comment #10)

- I am confused about the duplicate post-install-MANPAGES-on target. There is a post-patch- and post-install- target in the Makefile, or is it getting duplicated from somewhere else?

- About SKIP_CABAL_PLIST: what should I use in that place? Because I do need that functionality.

Also related, the flags here[1] still contain SKIP_CABAL_PLIST, should that need updating?

[1] https://www.freebsd.org/doc/en/books/porters-handbook/book.html#uses-cabal
Comment 13 Gleb Popov freebsd_committer 2020-05-17 09:35:21 UTC
(In reply to Dhananjay Balan from comment #12)

> I am confused about the duplicate post-install-MANPAGES-on target. There is a post-patch- and post-install- target in the Makefile, or is it getting duplicated from somewhere else?

Sigh, stupid me -_\
Yep, you're right, I simply overlooked that.

> About SKIP_CABAL_PLIST: what should I use in that place? Because I do need that functionality.

Why do you need it? You don't seem to have custom do-install.

> Also related, the flags here[1] still contain SKIP_CABAL_PLIST, should that need updating?

Indeed, this is another my overlook. Will fix it, thanks for noticing.
Comment 14 Dhananjay Balan 2020-05-17 11:06:32 UTC
(In reply to Gleb Popov from comment #13)

> Why do you need it? You don't seem to have custom do-install.

I need to install more things than cabal does, like manpages and
samples, should I put just that on pkg-plist and cabal fills in the
rest?

Wouldn't that create a split plist file?
Comment 15 Gleb Popov freebsd_committer 2020-05-17 11:12:33 UTC
(In reply to Dhananjay Balan from comment #14)
> I need to install more things than cabal does, like manpages and
samples, should I put just that on pkg-plist and cabal fills in the
rest?

Yep, there are a lot of Haskell ports that do just this. See devel/hs-happy for example.
Comment 16 Dhananjay Balan 2020-05-17 11:21:27 UTC
(In reply to Gleb Popov from comment #15)
I'll submit the patch then.
Comment 17 Dhananjay Balan 2020-05-17 11:43:11 UTC
Created attachment 214583 [details]
deskutils/hs-arbtt: removes SKIP_CABAL_PLIST directive

Removes SKIP_CABAL_PLIST directive, and removes cabal installs from pkg-plist.
Comment 18 commit-hook freebsd_committer 2020-05-17 11:47:15 UTC
A commit references this bug:

Author: arrowd
Date: Sun May 17 11:47:06 UTC 2020
New revision: 535543
URL: https://svnweb.freebsd.org/changeset/ports/535543

Log:
  deskutils/hs-arbtt: Remove SKIP_CABAL_PLIST knob.

  PR:		246068
  Submitted by:	Dhananjay Balan <mail@dbalan.in>

Changes:
  head/deskutils/hs-arbtt/Makefile
  head/deskutils/hs-arbtt/pkg-plist
Comment 19 Gleb Popov freebsd_committer 2020-05-17 11:47:42 UTC
Thank you for your contribution.